Index: extensions/piclens/admin/piclenswallconfig.tpl
===================================================================
--- extensions/piclens/admin/piclenswallconfig.tpl	(revision 10613)
+++ extensions/piclens/admin/piclenswallconfig.tpl	(revision 10651)
@@ -1,153 +1,3 @@
-{html_head}
-{/html_head}
-
-<div class="titrePage">
-  <h2>Piclens</h2>
-</div>
-<p>
-{'piclens_admin_title'|@translate}
-</p>
-<form method="post" action="{$PICLENS_F_ACTION}" class="general">
-<input type="hidden" name="submit" />
-<fieldset>
-	<legend>{'piclens_wallcfg_title'|@translate}</legend>
-	<TABLE>
-		<tr><td colspan="2"><br></td></tr>
-
-		<TR>
-			<td colspan="2" align="left">
-				 - <input type="checkbox" name="piclens_wall" {$PICLENS_WALL_ACTIVATED} {$PICLENS_PWGSTUFF}/> {'piclens_wallcfg_actived'|@translate}
-			</TD>
-		</TR>
-		<TR>
-			<td colspan="2" align="left">
-				<br>   {$PICLENS_PWGSTUFF1}
-			</td>
-		</TR>
-		<TR>
-			<td colspan="2" align="left">
-				&nbsp;&nbsp;   <input type="checkbox" name="piclens_wall_swflocal" {$PICLENS_WALL_SWFLOCAL}/> {'piclens_wallcfg_swflocal'|@translate}
-			</td>
-		</TR>
-		
-		<TR>
-			<td colspan="2"align="left">
-				<br>   <i>{'piclens_wallcfg_info'|@translate} <a href={$CROSSDOMAIN_LNK}>crossdomain.xml</a> {'piclens_wallcfg_info_suite'|@translate}</i>
-			</TD>
-		</TR>
-		<TR>
-			<td colspan="2" align="left">&nbsp;&nbsp;
-				{if $PICLENS_COPY_CROSSDOMAIN}
-				{'piclens_label_crossdomain1'|@translate}
-				{else}
-				<input type="checkbox" name="crossdomain_copy" /> {'piclens_label_crossdomain2'|@translate}
-				{/if}
-			<br>
-			</TD>	
-		</tr>
-		<tr>
-			<td colspan="2"><br><hr></td>
-		</tr>
-		<tr>
-			<td colspan="2" align="center">{'piclens_stuff_notparam'|@translate}</td>
-		</tr>
-		<tr>
-			<td align="right">{'piclens_wallcfg_name'|@translate}&nbsp;&nbsp;</td>
-			<td><input type="text" size="65" maxlength="50" value="{$PICLENS_WALL_TITLE}" name="piclens_wall_title"/></td>
-		</tr>
-		<tr>
-			<td align="right"> {'piclens_wallcfg_disp'|@translate} &nbsp;
-		    <td>
-				 <input type="checkbox" name="piclens_wall_ontop" {$PICLENS_WALL_ONTOP}/>&nbsp; {'piclens_wallcfg_disp_opt1'|@translate}
-				 <br>
-				 <input type="checkbox" name="piclens_wall_oncat" {$PICLENS_WALL_ONCAT}/>&nbsp; {'piclens_wallcfg_disp_opt2'|@translate}
-			</td>
-		</tr>
-
-		<tr>
-			<td colspan="2"><br><hr></td>
-		</tr>
-		<tr>
-			<td colspan="2" align="center">{'piclens_stuff_param_commun'|@translate}</td>
-		</tr>
-		<tr>
-		
-		<tr>
-			<td align="right">{'piclens_wallcfg_heigh'|@translate} &nbsp;</td>
-			<td><input type="text" size="3" maxlength="3" value="{$PICLENS_WALL_HEIGHT}" name="piclens_wall_height">&nbsp;px</td>
-		</tr>
-		<tr>
-			<td colspan="2"><br>&nbsp;</td>
-		</tr>
-		<tr>
-		    <td align="right">{'piclens_wallcfg_param'|@translate} &nbsp;</td>
-		    <td><input type="radio" name="piclens_wall_specif" value="common" {$common_CHECKED}>&nbsp;{'piclens_wallcfg_paramNORM'|@translate}</td>
-		</tr>
-		<tr>
-		    <td align="right"></td>
-		    <td><input type="radio" name="piclens_wall_specif" value="spec" {$spec_CHECKED}>&nbsp;{'piclens_wallcfg_paramSPEC'|@translate}</td>
-		</tr>
-		<tr>
-			<td colspan="2"><br>&nbsp;</td>
-		</tr>
-		<TR>
-			<td align="center" colspan="2">
-				<div id="cat_select0">
-				<b><u>{'piclens_wallcfg_cat'|@translate}&nbsp;</u></b>
-				</div>
-			</td>
-		</tr>
-		<tr>
-			<td colspan="2">
-			<div id="cat_select">
-				{$DOUBLE_SELECT}
-			</div>
-			</td>
-		</tr>
-		
-	</TABLE>
-</fieldset>
-<br/>
-
-<fieldset>
-	<legend>{'piclens_wallcfg_navoption_title'|@translate}</legend>
-	<table>
-		<tr><td colspan="2"><br></td></tr>
-		<tr>
-			<td colspan="2" align="left">
-				 - <input type="checkbox" name="piclens_wall_nav" {$PICLENS_WALL_NAV}/> {'piclens_wallcfg_cat_nav'|@translate}
-			</TD>
-		</TR>
-		<TR class="cat_replace" style="display:none;">
-			<td align="right">{'piclens_wallcfg_cat_nav1'|@translate}&nbsp;</td>
-			<td align="center">
-		      <select class="categoryList1" name="categories_nav[]" multiple="multiple" size="10" style="width:300px">
-		        {html_options options=$categories_nav selected=$categories_nav_selected value=$categories_nav_value}
-		      </select>
-			</td>
-		</tr>
-
-		<tr>
-			<td align="left">
-				 - <input type="checkbox" name="piclens_wall_spec" {$PICLENS_WALL_SPEC}/> {'piclens_wallcfg_spec_nav'|@translate}
-			</TD>
-			<TD class="spec_selection" style="display:none;" align="rignt">
-				 <input type="checkbox" name="piclens_wall_spec_favorites" {$PICLENS_WALL_SPEC_FAVORITES}/> {'piclens_favorites_label'|@translate} 
-		    <br/>
-				 <input type="checkbox" name="piclens_wall_spec_mostvisited" {$PICLENS_WALL_SPEC_MOSTVISITED}/> {'piclens_mostvisited_label'|@translate} 
-		    <br/>
-				 <input type="checkbox" name="piclens_wall_spec_bestrated" {$PICLENS_WALL_SPEC_BESTRATED}/> {'piclens_bestrated_label'|@translate} 
-		    <br/>
-				 <input type="checkbox" name="piclens_wall_spec_recentcats" {$PICLENS_WALL_SPEC_RECENTCATS}/> {'piclens_recentcats_label'|@translate} 
-		    <br/>
-				 <input type="checkbox" name="piclens_wall_spec_recentpics" {$PICLENS_WALL_SPEC_RECENTPICS}/> {'piclens_recentpics_label'|@translate} 
-		    <br/>
-				 <input type="checkbox" name="piclens_wall_spec_tags" {$PICLENS_WALL_SPEC_TAGS}/> {'piclens_tags_label'|@translate} 
-			
-			</TD>
-		</TR>
-		
-	</table>
-{footer_script require='jquery.ui.core,jquery.ui.resizable'}{literal}
+{footer_script require='jquery.ui.resizable'}{literal}
 resize = false;
 function show_cat_list()
@@ -211,4 +61,154 @@
 {/literal}{/footer_script}
 
+{html_head}
+{/html_head}
+
+<div class="titrePage">
+  <h2>Piclens</h2>
+</div>
+<p>
+{'piclens_admin_title'|@translate}
+</p>
+<form method="post" action="{$PICLENS_F_ACTION}" class="general">
+<input type="hidden" name="submit" />
+<fieldset>
+	<legend>{'piclens_wallcfg_title'|@translate}</legend>
+	<TABLE>
+		<tr><td colspan="2"><br></td></tr>
+
+		<TR>
+			<td colspan="2" align="left">
+				 - <input type="checkbox" name="piclens_wall" {$PICLENS_WALL_ACTIVATED} {$PICLENS_PWGSTUFF}/> {'piclens_wallcfg_actived'|@translate}
+			</TD>
+		</TR>
+		<TR>
+			<td colspan="2" align="left">
+				<br>   {$PICLENS_PWGSTUFF1}
+			</td>
+		</TR>
+		<TR>
+			<td colspan="2" align="left">
+				&nbsp;&nbsp;   <input type="checkbox" name="piclens_wall_swflocal" {$PICLENS_WALL_SWFLOCAL}/> {'piclens_wallcfg_swflocal'|@translate}
+			</td>
+		</TR>
+		
+		<TR>
+			<td colspan="2"align="left">
+				<br>   <i>{'piclens_wallcfg_info'|@translate} <a href={$CROSSDOMAIN_LNK}>crossdomain.xml</a> {'piclens_wallcfg_info_suite'|@translate}</i>
+			</TD>
+		</TR>
+		<TR>
+			<td colspan="2" align="left">&nbsp;&nbsp;
+				{if $PICLENS_COPY_CROSSDOMAIN}
+				{'piclens_label_crossdomain1'|@translate}
+				{else}
+				<input type="checkbox" name="crossdomain_copy" /> {'piclens_label_crossdomain2'|@translate}
+				{/if}
+			<br>
+			</TD>	
+		</tr>
+		<tr>
+			<td colspan="2"><br><hr></td>
+		</tr>
+		<tr>
+			<td colspan="2" align="center">{'piclens_stuff_notparam'|@translate}</td>
+		</tr>
+		<tr>
+			<td align="right">{'piclens_wallcfg_name'|@translate}&nbsp;&nbsp;</td>
+			<td><input type="text" size="65" maxlength="50" value="{$PICLENS_WALL_TITLE}" name="piclens_wall_title"/></td>
+		</tr>
+		<tr>
+			<td align="right"> {'piclens_wallcfg_disp'|@translate} &nbsp;
+		    <td>
+				 <input type="checkbox" name="piclens_wall_ontop" {$PICLENS_WALL_ONTOP}/>&nbsp; {'piclens_wallcfg_disp_opt1'|@translate}
+				 <br>
+				 <input type="checkbox" name="piclens_wall_oncat" {$PICLENS_WALL_ONCAT}/>&nbsp; {'piclens_wallcfg_disp_opt2'|@translate}
+			</td>
+		</tr>
+
+		<tr>
+			<td colspan="2"><br><hr></td>
+		</tr>
+		<tr>
+			<td colspan="2" align="center">{'piclens_stuff_param_commun'|@translate}</td>
+		</tr>
+		<tr>
+		
+		<tr>
+			<td align="right">{'piclens_wallcfg_heigh'|@translate} &nbsp;</td>
+			<td><input type="text" size="3" maxlength="3" value="{$PICLENS_WALL_HEIGHT}" name="piclens_wall_height">&nbsp;px</td>
+		</tr>
+		<tr>
+			<td colspan="2"><br>&nbsp;</td>
+		</tr>
+		<tr>
+		    <td align="right">{'piclens_wallcfg_param'|@translate} &nbsp;</td>
+		    <td><input type="radio" name="piclens_wall_specif" value="common" {$common_CHECKED}>&nbsp;{'piclens_wallcfg_paramNORM'|@translate}</td>
+		</tr>
+		<tr>
+		    <td align="right"></td>
+		    <td><input type="radio" name="piclens_wall_specif" value="spec" {$spec_CHECKED}>&nbsp;{'piclens_wallcfg_paramSPEC'|@translate}</td>
+		</tr>
+		<tr>
+			<td colspan="2"><br>&nbsp;</td>
+		</tr>
+		<TR>
+			<td align="center" colspan="2">
+				<div id="cat_select0">
+				<b><u>{'piclens_wallcfg_cat'|@translate}&nbsp;</u></b>
+				</div>
+			</td>
+		</tr>
+		<tr>
+			<td colspan="2">
+			<div id="cat_select">
+				{$DOUBLE_SELECT}
+			</div>
+			</td>
+		</tr>
+		
+	</TABLE>
+</fieldset>
+<br/>
+
+<fieldset>
+	<legend>{'piclens_wallcfg_navoption_title'|@translate}</legend>
+	<table>
+		<tr><td colspan="2"><br></td></tr>
+		<tr>
+			<td colspan="2" align="left">
+				 - <input type="checkbox" name="piclens_wall_nav" {$PICLENS_WALL_NAV}/> {'piclens_wallcfg_cat_nav'|@translate}
+			</TD>
+		</TR>
+		<TR class="cat_replace" style="display:none;">
+			<td align="right">{'piclens_wallcfg_cat_nav1'|@translate}&nbsp;</td>
+			<td align="center">
+		      <select class="categoryList1" name="categories_nav[]" multiple="multiple" size="10" style="width:300px">
+		        {html_options options=$categories_nav selected=$categories_nav_selected value=$categories_nav_value}
+		      </select>
+			</td>
+		</tr>
+
+		<tr>
+			<td align="left">
+				 - <input type="checkbox" name="piclens_wall_spec" {$PICLENS_WALL_SPEC}/> {'piclens_wallcfg_spec_nav'|@translate}
+			</TD>
+			<TD class="spec_selection" style="display:none;" align="rignt">
+				 <input type="checkbox" name="piclens_wall_spec_favorites" {$PICLENS_WALL_SPEC_FAVORITES}/> {'piclens_favorites_label'|@translate} 
+		    <br/>
+				 <input type="checkbox" name="piclens_wall_spec_mostvisited" {$PICLENS_WALL_SPEC_MOSTVISITED}/> {'piclens_mostvisited_label'|@translate} 
+		    <br/>
+				 <input type="checkbox" name="piclens_wall_spec_bestrated" {$PICLENS_WALL_SPEC_BESTRATED}/> {'piclens_bestrated_label'|@translate} 
+		    <br/>
+				 <input type="checkbox" name="piclens_wall_spec_recentcats" {$PICLENS_WALL_SPEC_RECENTCATS}/> {'piclens_recentcats_label'|@translate} 
+		    <br/>
+				 <input type="checkbox" name="piclens_wall_spec_recentpics" {$PICLENS_WALL_SPEC_RECENTPICS}/> {'piclens_recentpics_label'|@translate} 
+		    <br/>
+				 <input type="checkbox" name="piclens_wall_spec_tags" {$PICLENS_WALL_SPEC_TAGS}/> {'piclens_tags_label'|@translate} 
+			
+			</TD>
+		</TR>
+		
+	</table>
 <br/>
 </fieldset>