Index: /trunk/admin/include/functions_upload.inc.php
===================================================================
--- /trunk/admin/include/functions_upload.inc.php	(revision 10652)
+++ /trunk/admin/include/functions_upload.inc.php	(revision 10653)
@@ -141,41 +141,4 @@
 
   return $upload_form_config;
-}
-
-/*
- * automatic fill of configuration parameters
- */
-function prepare_upload_configuration()
-{
-  global $conf;
-
-  $inserts = array();
-  
-  foreach (get_upload_form_config() as $param_shortname => $param)
-  {
-    $param_name = 'upload_form_'.$param_shortname;
-  
-    if (!isset($conf[$param_name]))
-    {
-      $conf[$param_name] = $param['default'];
-      
-      array_push(
-        $inserts,
-        array(
-          'param' => $param_name,
-          'value' => boolean_to_string($param['default']),
-          )
-        );
-    }
-  }
-  
-  if (count($inserts) > 0)
-  {
-    mass_inserts(
-      CONFIG_TABLE,
-      array_keys($inserts[0]),
-      $inserts
-      );
-  }
 }
 
Index: /trunk/admin/photos_add.php
===================================================================
--- /trunk/admin/photos_add.php	(revision 10652)
+++ /trunk/admin/photos_add.php	(revision 10653)
@@ -44,6 +44,4 @@
 // |                          Load configuration                           |
 // +-----------------------------------------------------------------------+
-
-prepare_upload_configuration();
 
 $upload_form_config = get_upload_form_config();
Index: /trunk/admin/thumbnail.php
===================================================================
--- /trunk/admin/thumbnail.php	(revision 10652)
+++ /trunk/admin/thumbnail.php	(revision 10653)
@@ -30,6 +30,4 @@
 // |                          Load configuration                           |
 // +-----------------------------------------------------------------------+
-prepare_upload_configuration();
-
 $upload_form_config = get_upload_form_config();
 
Index: /trunk/include/ws_functions.inc.php
===================================================================
--- /trunk/include/ws_functions.inc.php	(revision 10652)
+++ /trunk/include/ws_functions.inc.php	(revision 10653)
@@ -1451,5 +1451,4 @@
 
   include_once(PHPWG_ROOT_PATH.'admin/include/functions_upload.inc.php');
-  prepare_upload_configuration();
 
   $image_id = add_uploaded_file(
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 10652)
+++ /trunk/install/config.sql	(revision 10653)
@@ -51,2 +51,16 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('week_starts_on','monday','Monday may not be the first day of the week');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('updates_ignored','a:3:{s:7:"plugins";a:0:{}s:6:"themes";a:0:{}s:9:"languages";a:0:{}}','Extensions ignored for update');
+INSERT INTO piwigo_config (param,value) VALUES ('websize_resize','true');
+INSERT INTO piwigo_config (param,value) VALUES ('websize_maxwidth','800');
+INSERT INTO piwigo_config (param,value) VALUES ('websize_maxheight','600');
+INSERT INTO piwigo_config (param,value) VALUES ('websize_quality','95');
+INSERT INTO piwigo_config (param,value) VALUES ('thumb_maxwidth','128');
+INSERT INTO piwigo_config (param,value) VALUES ('thumb_maxheight','96');
+INSERT INTO piwigo_config (param,value) VALUES ('thumb_quality','95');
+INSERT INTO piwigo_config (param,value) VALUES ('thumb_crop','false');
+INSERT INTO piwigo_config (param,value) VALUES ('thumb_follow_orientation','true');
+INSERT INTO piwigo_config (param,value) VALUES ('hd_keep','true');
+INSERT INTO piwigo_config (param,value) VALUES ('hd_resize','false');
+INSERT INTO piwigo_config (param,value) VALUES ('hd_maxwidth','2000');
+INSERT INTO piwigo_config (param,value) VALUES ('hd_maxheight','2000');
+INSERT INTO piwigo_config (param,value) VALUES ('hd_quality','95');
Index: /trunk/install/db/104-database.php
===================================================================
--- /trunk/install/db/104-database.php	(revision 10653)
+++ /trunk/install/db/104-database.php	(revision 10653)
@@ -0,0 +1,86 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'Add upload form parameters in database';
+
+global $conf;
+
+load_conf_from_db();
+
+$upload_form_config = array(
+  'websize_resize' => true,
+  'websize_maxwidth' => 800,
+  'websize_maxheight' => 600,
+  'websize_quality' => 95,
+  'thumb_maxwidth' => 128,
+  'thumb_maxheight' => 96,
+  'thumb_quality' => 95,
+  'thumb_crop' => false,
+  'thumb_follow_orientation' => true,
+  'hd_keep' => true,
+  'hd_resize' => false,
+  'hd_maxwidth' => 2000,
+  'hd_maxheight' => 2000,
+  'hd_quality' => 95,
+);
+
+$inserts = array();
+
+foreach ($upload_form_config as $param_shortname => $param)
+{
+  $param_name = 'upload_form_'.$param_shortname;
+
+  if (!isset($conf[$param_name]))
+  {
+    $conf[$param_name] = $param;
+    
+    array_push(
+      $inserts,
+      array(
+        'param' => $param_name,
+        'value' => boolean_to_string($param),
+        )
+      );
+  }
+}
+
+if (count($inserts) > 0)
+{
+  mass_inserts(
+    CONFIG_TABLE,
+    array_keys($inserts[0]),
+    $inserts
+    );
+}
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>