Index: /extensions/LCAS/branch/2.2/CHANGELOG.txt
===================================================================
--- /extensions/LCAS/branch/2.2/CHANGELOG.txt	(revision 10691)
+++ /extensions/LCAS/branch/2.2/CHANGELOG.txt	(revision 10692)
@@ -1,8 +1,14 @@
-2011-05-01 1.0.0
-                  First RC version
+2011-27-04 2.2.2
+                  Bug 2285 fixed : Compliance with Piwigo 2.1 and 2.2
+                  Bug 2286 fixed : Bad links to official support topics
+                  modify CHANGELOG.txt info order,
+                  and cosmetic changes on language keys
+
+2011-22-04 2.2.1
+                  Add links to official forum support topic
 
 2011-22-04 2.2.0
                   First stable version
 
-2011-22-04 2.2.0
-                  Add links to official forum support topic
+2011-05-01 1.0.0
+                  First RC version
Index: /extensions/LCAS/branch/2.2/admin/template/global.tpl
===================================================================
--- /extensions/LCAS/branch/2.2/admin/template/global.tpl	(revision 10691)
+++ /extensions/LCAS/branch/2.2/admin/template/global.tpl	(revision 10692)
@@ -6,6 +6,4 @@
 {/if}
 {/html_head}
-
-{combine_css path= $LCAS_PATH|@cat:'admin/template/lcas.css'}
 
 <script type="text/javascript">
Index: /extensions/LCAS/branch/2.2/admin/template/header21.tpl
===================================================================
--- /extensions/LCAS/branch/2.2/admin/template/header21.tpl	(revision 10691)
+++ /extensions/LCAS/branch/2.2/admin/template/header21.tpl	(revision 10692)
@@ -3,2 +3,4 @@
 {known_script id="jquery.tablesorter" src=$LCAS_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
 {known_script id="jquery.tablesorter.pager" src=$LCAS_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
+
+{html_head}<link rel="stylesheet" type="text/css" href="{$LCAS_PATH}admin/template/lcas.css">{/html_head}
Index: /extensions/LCAS/branch/2.2/admin/template/header22.tpl
===================================================================
--- /extensions/LCAS/branch/2.2/admin/template/header22.tpl	(revision 10691)
+++ /extensions/LCAS/branch/2.2/admin/template/header22.tpl	(revision 10692)
@@ -3,2 +3,4 @@
 {combine_script id='jquery.tablesorter' require='jquery' path=$LCAS_PATH|@cat:'admin/template/js/jquery.tablesorter.min.js'}
 {combine_script id='jquery.tablesorter.pager' require='jquery' path=$LCAS_PATH|@cat:'admin/template/js/jquery.tablesorter.pager.js'}
+
+{combine_css path= $LCAS_PATH|@cat:'admin/template/lcas.css'}
Index: /extensions/LCAS/branch/2.2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LCAS/branch/2.2/language/en_UK/plugin.lang.php	(revision 10691)
+++ /extensions/LCAS/branch/2.2/language/en_UK/plugin.lang.php	(revision 10692)
@@ -48,5 +48,5 @@
 /* Email subject */
 $lang['Username_updated_for_%s'] = 'Username update for %s';
-$lang['LCAS_NewUsername: %s'] = 'Your new username : %s';
-$lang['LCAS_NewUser_Email: %s'] = 'Related to this email address : %s';
+$lang['LCAS_NewUsername: %s'] = 'Your new username: %s';
+$lang['LCAS_NewUser_Email: %s'] = 'Related to this email address: %s';
 ?>
Index: /extensions/LCAS/branch/2.2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LCAS/branch/2.2/language/fr_FR/plugin.lang.php	(revision 10691)
+++ /extensions/LCAS/branch/2.2/language/fr_FR/plugin.lang.php	(revision 10692)
@@ -8,5 +8,5 @@
 $lang['LCAS_Title_Global'] = 'Paramétrage de la sensibilité';
 
-$lang['LCAS option'] = 'Option LCAS :';
+$lang['LCAS option'] = 'Option LCAS&nbsp;:';
 $lang['LCAS_Option0'] = 'Pas d\'insensibilité (fonctionnement normal de Piwigo)';
 $lang['LCAS_Option1'] = 'Insensibilité à la casse';
@@ -17,7 +17,7 @@
 $lang['Personalized not allowed tooltip'] = 'Pas de tableau $conf[\'LCAS_replacement_set\'][0] de défini';
 
-$lang['LCAS_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
+$lang['LCAS_Support_txt'] = 'Le support officiel de ce plugin se fait exclusivement sur ces fils du forum Piwigo&nbsp;:<br>
 <a href="http://fr.piwigo.org/forum/viewtopic.php?id=20044" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=20044</a><br><br>
-Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+Également disponible, le bugtracker du projet&nbsp;: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 
 $lang['LCAS_UserList_Title'] = 'Utilisateurs nécessitant des modifications';
@@ -30,5 +30,5 @@
 $lang['LCAS_Update_h'] = 'Modifier';
 
-$lang['LCAS_Update_User'] = 'Mettre &agrave; jour';
+$lang['LCAS_Update_User'] = 'Mettre à jour';
 
 $lang['LCAS_No_User'] = 'Aucun problème détecté pour les utilisateurs actuels';
@@ -38,6 +38,6 @@
 $lang['submit'] = 'Sauvegarder les paramètres';
 
-$lang['LCAS_Mail'] = 'Notification par email';
-$lang['LCAS_MailText'] = 'Personnalisation de la notification par email';
+$lang['LCAS_Mail'] = 'Notification par courriel';
+$lang['LCAS_MailText'] = 'Personnalisation de la notification par courriel';
 
 $lang['LCAS_PluginSupport'] = 'Support officiel du plugin';
@@ -48,5 +48,5 @@
 /* Email subject */
 $lang['Username_updated_for_%s'] = 'Nom d\'utilisateur mis à jour pour %s';
-$lang['LCAS_NewUsername: %s'] = 'Votre nouveau nom d\'utilisateur : %s';
-$lang['LCAS_NewUser_Email: %s'] = 'Correspondant à l\'adresse email : %s';
+$lang['LCAS_NewUsername: %s'] = 'Votre nouveau nom d\'utilisateur&nbsp;: %s';
+$lang['LCAS_NewUser_Email: %s'] = 'Correspondant à l\'adresse de courriel&nbsp;: %s';
 ?>
Index: /extensions/LCAS/branch/2.2/main.inc.php
===================================================================
--- /extensions/LCAS/branch/2.2/main.inc.php	(revision 10691)
+++ /extensions/LCAS/branch/2.2/main.inc.php	(revision 10692)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: LCAS
-Version: 2.2.1
+Version: 2.2.2
 Description: Allow to disable login/register name to be sensible to the case/accents
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=513
@@ -37,11 +37,24 @@
   $plugin =  LCAS_PluginInfos(LCAS_PATH);
   $name = $plugin['name'];
-  
-  array_push($menu,
-    array(
-      'NAME' => $name,
-      'URL' => get_root_url().'admin.php?page=plugin-'.basename(LCAS_PATH)
-    )
-  );
+
+  // Compliance with Piwigo 2.2
+  if (version_compare(PHPWG_VERSION, '2.2', '>=') )
+  {
+    array_push($menu,
+      array(
+        'NAME' => $name,
+        'URL' => get_root_url().'admin.php?page=plugin-'.basename(LCAS_PATH)
+      )
+    );
+  }
+  else // Compliance with Piwigo 2.1
+  {
+    array_push($menu,
+      array(
+        'NAME' => $name,
+        'URL'  => get_admin_plugin_menu_link(LCAS_PATH.'/admin/LCAS_admin.php')
+      )
+    );
+  }
 
   return $menu;