Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 10714)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 10715)
@@ -72,9 +72,9 @@
      * the menu to add a category
      */
-    private JMenuItem menuAjouter;
+    private JMenuItem menuAdd;
     /**
      * the menu to refresh the categories
      */
-    private JMenuItem menuActualiser;
+    private JMenuItem menuRefresh;
     /**
      * the root of the tree which is not displayed
@@ -85,4 +85,8 @@
      */
     private Category selectedCategory;
+    /**
+     * the menu to add a category
+     */
+    private JMenuItem menuDelete;
 
     /**
@@ -197,10 +201,13 @@
 	if (e.getButton() == 3) {
 	    JPopupMenu popup = new JPopupMenu();
-	    menuAjouter = new JMenuItem(Messages.getMessage("categories_add"));
-	    menuAjouter.addActionListener(this);
-	    popup.add(menuAjouter);
-	    menuActualiser = new JMenuItem(Messages.getMessage("categories_update"));
-	    menuActualiser.addActionListener(this);
-	    popup.add(menuActualiser);
+	    menuAdd = new JMenuItem(Messages.getMessage("categories_add"));
+	    menuAdd.addActionListener(this);
+	    popup.add(menuAdd);
+	    menuRefresh = new JMenuItem(Messages.getMessage("categories_update"));
+	    menuRefresh.addActionListener(this);
+	    popup.add(menuRefresh);
+	    menuDelete = new JMenuItem(Messages.getMessage("categories_delete"));
+	    menuDelete.addActionListener(this);
+	    popup.add(menuDelete);
 	    popup.show(tree, e.getX(), e.getY());
 	    if (selRow != -1) {
@@ -222,5 +229,5 @@
     @Override
     public void actionPerformed(ActionEvent arg0) {
-	if (arg0.getSource().equals(menuAjouter)) {
+	if (arg0.getSource().equals(menuAdd)) {
 	    String nomcategorie = JOptionPane.showInputDialog(null, Messages.getMessage("categories_enterName"),
 		    Messages.getMessage("categories_add"), JOptionPane.INFORMATION_MESSAGE);
@@ -263,6 +270,19 @@
 		}
 	    }
-	} else if (arg0.getSource().equals(menuActualiser)) {
+	} else if (arg0.getSource().equals(menuRefresh)) {
 	    setUpUi();
+	} else if (arg0.getSource().equals(menuDelete)) {
+	    try {
+		if (SpringUtils.getCategoryService().delete(selectedCategory)) {
+		    setUpUi();
+		} else {
+		    JOptionPane.showMessageDialog(null, Messages.getMessage("deletingCategoryError"),
+			    Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+		}
+	    } catch (Exception e) {
+		LOG.error(Tools.getStackTrace(e));
+		JOptionPane.showMessageDialog(null, Messages.getMessage("deletingCategoryError"),
+			Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+	    }
 	}
     }
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 10714)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 10715)
@@ -71,4 +71,5 @@
 unexpectedSendingError=<html><center>Unexpected error while sending images. The images will probably not be created.<br/>Affected images are :</center><ul>%s</ul></html>
 fileAlreadyExistsError=<html><center>Some of the selected files exist on the server. They will not be created.<br/>Affected images are :</center><ul>%s</ul></html>
+deletingCategoryError=Unexpected error while deleting the category
 
 #####################################################
@@ -83,4 +84,5 @@
 categories_update=Refresh
 categories_enterName=Fill the category name
+categories_delete=Delete
 
 
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 10714)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 10715)
@@ -71,4 +71,5 @@
 unexpectedSendingError=<html><center>Unexpected error while sending images. The images will probably not be created.<br/>Affected images are :</center><ul>%s</ul></html>
 fileAlreadyExistsError=<html><center>Some of the selected files exist on the server. They will not be created.<br/>Affected images are :</center><ul>%s</ul></html>
+deletingCategoryError=Unexpected error while deleting the category
 
 #####################################################
@@ -83,4 +84,5 @@
 categories_update=Refresh
 categories_enterName=Fill the category name
+categories_delete=Delete
 
 
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 10714)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 10715)
@@ -71,4 +71,5 @@
 unexpectedSendingError=<html><center>Erreur inattendue lors de l'envoi des images. Les images ne seront probablement pas créées.<br/>Les images concernées sont : </center><ul>%s</ul></html>
 fileAlreadyExistsError=<html><center>Certains des fichiers envoyés existent sur le serveur. Les images ne seront pas créées.<br/>Les images concernées sont : </center><ul>%s</ul></html>
+deletingCategoryError=Erreur inattendue lors de la suppression de la catégorie
 
 #####################################################
@@ -83,4 +84,5 @@
 categories_update=Actualiser
 categories_enterName=Entrez le nom de la catégorie
+categories_delete=Supprimer
 
 