Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/IThumbnailPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/IThumbnailPanel.java	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/IThumbnailPanel.java	(revision 10717)
@@ -51,3 +51,5 @@
      */
     public void setCategory(Category category);
+
+    public void refresh();
 }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 10717)
@@ -96,5 +96,5 @@
 	this.setLayout(new VerticalLayout());
 	if (categoryId != null) {
-	    rafraichir(categoryId, false);
+	    refresh(categoryId, false);
 	}
 	//gestion du drag'n drop
@@ -136,5 +136,5 @@
      * @param categoryId the id of the category
      */
-    public void rafraichir(Integer categoryId, boolean rafraichir) {
+    public void refresh(Integer categoryId, boolean rafraichir) {
 	this.categoryId = categoryId;
 	try {
@@ -154,4 +154,8 @@
     }
 
+    public void refresh() {
+	refresh(categoryId, true);
+    }
+
     /**
      * Adds the thumbnails to the panel
@@ -179,5 +183,5 @@
 		    //		    panelh.add(panel);
 		}
-		ThumbnailPanel panel = new ThumbnailPanel(image);
+		ThumbnailPanel panel = new ThumbnailPanel(image, this);
 		panelh.add(panel);
 		nb++;
@@ -263,5 +267,5 @@
 	    //refresh
 	    MainFrame.getInstance().setAdditionalMessage("");
-	    rafraichir(categoryId, true);
+	    refresh(categoryId, true);
 	    MainFrame.getInstance().getProgressBar().setValue(0);
 	    imagesManagement.setSendingFiles(true);
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 10717)
@@ -83,4 +83,9 @@
 
     /**
+     * Popup menu to edit images info
+     */
+    private JMenuItem menuDeleteImage;
+
+    /**
      * Button to add tags
      */
@@ -96,4 +101,8 @@
      */
     private JDialog dialogChoixTags;
+    /**
+     * The parent
+     */
+    private IThumbnailPanel parent;
 
     /**
@@ -102,6 +111,7 @@
      * @param imagesPanel the panel
      */
-    public ThumbnailPanel(Image image) {
+    public ThumbnailPanel(Image image, IThumbnailPanel parent) {
 	this.image = image;
+	this.parent = parent;
 	setToolTipText("<html><center>" + image.getName() + "<br/>" + image.getSeen() + " "
 		+ Messages.getMessage("hits") + "</center></html>");
@@ -139,4 +149,7 @@
 		menuAjouterTag.addActionListener(this);
 		popup.add(menuAjouterTag);
+		menuDeleteImage = new JMenuItem(Messages.getMessage("thumbviewer_deleteImage"));
+		menuDeleteImage.addActionListener(this);
+		popup.add(menuDeleteImage);
 		popup.show(this, paramMouseEvent.getX(), paramMouseEvent.getY());
 	    }
@@ -233,5 +246,19 @@
 	    }
 
+	} else if (arg0.getSource().equals(menuDeleteImage)) {
+	    try {
+		if (SpringUtils.getImageService().delete(image)) {
+		    parent.refresh();
+		} else {
+		    JOptionPane.showMessageDialog(this, Messages.getMessage("deletingImageError"),
+			    Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+		}
+	    } catch (JiwigoException e) {
+		LOG.error(Tools.getStackTrace(e));
+		JOptionPane.showMessageDialog(this, Messages.getMessage("deletingImageError"),
+			Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+	    }
 	}
     }
+
 }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java	(revision 10717)
@@ -98,5 +98,5 @@
 			nb = 0;
 		    } else {
-			ThumbnailPanel panel = new ThumbnailPanel(image);
+			ThumbnailPanel panel = new ThumbnailPanel(image, this);
 			panelh.add(panel);
 		    }
@@ -156,3 +156,9 @@
     }
 
+    @Override
+    public void refresh() {
+	// TODO Auto-generated method stub
+
+    }
+
 }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java	(revision 10717)
@@ -88,5 +88,5 @@
 	MainFrame.getInstance().setAdditionalMessage("");
 	//refresh
-	thumbPanel.rafraichir(thumbPanel.getCategoryId(), true);
+	thumbPanel.refresh(thumbPanel.getCategoryId(), true);
 	MainFrame.getInstance().getProgressBar().setValue(0);
     }
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 10717)
@@ -48,4 +48,5 @@
 thumbviewer_addTag=Add tags
 thumbviewer_selectTag=Select tags :
+thumbviewer_deleteImage=Delete image
 
 #####################################################
@@ -72,4 +73,5 @@
 fileAlreadyExistsError=<html><center>Some of the selected files exist on the server. They will not be created.<br/>Affected images are :</center><ul>%s</ul></html>
 deletingCategoryError=Unexpected error while deleting the category
+deletingImageError=Unexpected error while deleting the image
 
 #####################################################
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 10717)
@@ -48,4 +48,5 @@
 thumbviewer_addTag=Add tags
 thumbviewer_selectTag=Select tags :
+thumbviewer_deleteImage=Delete image
 
 #####################################################
@@ -72,4 +73,5 @@
 fileAlreadyExistsError=<html><center>Some of the selected files exist on the server. They will not be created.<br/>Affected images are :</center><ul>%s</ul></html>
 deletingCategoryError=Unexpected error while deleting the category
+deletingImageError=Unexpected error while deleting the image
 
 #####################################################
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 10716)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 10717)
@@ -48,4 +48,5 @@
 thumbviewer_addTag=Ajouter des tags
 thumbviewer_selectTag=Veuillez sélectionner un (des) tag(s) :
+thumbviewer_deleteImage=Supprimer l'image
 
 #####################################################
@@ -72,4 +73,5 @@
 fileAlreadyExistsError=<html><center>Certains des fichiers envoyés existent sur le serveur. Les images ne seront pas créées.<br/>Les images concernées sont : </center><ul>%s</ul></html>
 deletingCategoryError=Erreur inattendue lors de la suppression de la catégorie
+deletingImageError=Erreur inattendue lors de la suppression de l'image
 
 #####################################################