Index: /extensions/simple_themes/simple-sunset/content.css
===================================================================
--- /extensions/simple_themes/simple-sunset/content.css	(revision 10779)
+++ /extensions/simple_themes/simple-sunset/content.css	(revision 10779)
@@ -0,0 +1,15 @@
+#thumbnails li {
+  margin: 0;
+  padding: 0;
+  float: left;
+  width: 200px;
+  height: 160px;
+}
+
+.thumbnailCategories li {
+float:left;
+height:160px;
+margin:.7em;
+overflow:hidden;
+width:45%;
+}
Index: /extensions/simple_themes/simple-sunset/fix-ie5-ie6.css
===================================================================
--- /extensions/simple_themes/simple-sunset/fix-ie5-ie6.css	(revision 10779)
+++ /extensions/simple_themes/simple-sunset/fix-ie5-ie6.css	(revision 10779)
@@ -0,0 +1,8 @@
+/* fix for IE */
+#stuffs_block_2 { display:  inline; overflow: hidden;}
+#stuffs_block_2  li{ list-style: none;}
+.content .stuffs_block {display:block;height:150px}
+ #the_page {
+  width: 980px;
+}
+
Index: /extensions/simple_themes/simple-sunset/index.php
===================================================================
--- /extensions/simple_themes/simple-sunset/index.php	(revision 10779)
+++ /extensions/simple_themes/simple-sunset/index.php	(revision 10779)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/simple_themes/simple-sunset/local_head.tpl
===================================================================
--- /extensions/simple_themes/simple-sunset/local_head.tpl	(revision 10779)
+++ /extensions/simple_themes/simple-sunset/local_head.tpl	(revision 10779)
@@ -0,0 +1,3 @@
+<!--[if lt IE 7]>
+	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/simple-sunset/fix-ie5-ie6.css">
+<![endif]-->
Index: /extensions/simple_themes/simple-sunset/mail-css.tpl
===================================================================
--- /extensions/simple_themes/simple-sunset/mail-css.tpl	(revision 10779)
+++ /extensions/simple_themes/simple-sunset/mail-css.tpl	(revision 10779)
@@ -0,0 +1,7 @@
+body {ldelim} background-color:#333333; color:#999999;}
+#copyright {ldelim} font-size:8px; }
+h2 {ldelim} background-color: #606060;}
+img {ldelim} border:1px #606060 solid; margin:8px; border-radius:0; -moz-border-radius:0;}
+img:hover {ldelim} border:1px #fff solid; margin:8px; padding:0px; border-radius:0; -moz-border-radius:0;}
+a {ldelim} color: #fff; }
+a:hover {ldelim} color: #fff; }
Index: /extensions/simple_themes/simple-sunset/theme.css
===================================================================
--- /extensions/simple_themes/simple-sunset/theme.css	(revision 10779)
+++ /extensions/simple_themes/simple-sunset/theme.css	(revision 10779)
@@ -0,0 +1,226 @@
+/*  orginal version -    GRUM: GRAPHITE   author:  grum at grum.dnsalias.com  */
+
+/* Theme Sunset 2.1.b (Ex-ftb)   for template "Simple"   from  Boudle  */
+
+/* page */
+
+body {
+  background-color: #111;
+  color: #666666;
+  font-size:0.82em;
+}
+
+#content {
+  background-color: #222;
+  border: 2px #606060 solid;
+  border-width: 2px 0;
+}
+
+#menubar p.totalImages {
+  font-style: italic;
+  margin-top: 0;
+}
+
+a {
+  color: #ff7700;
+}
+
+ .titrePage,  .titrePage a {
+  font-weight: bold;
+  text-transform: uppercase;
+}
+
+h2, h3 {
+    font-variant: small-caps;
+	color: #ff7700;
+}
+
+#copyright a , #mycopyright a{
+  color: #606060;
+}
+
+#copyright a ,#mycopyright a:hover{
+	color: #ff7700;
+}
+/* page content :  thumbnails */
+
+
+#thumbnails {
+  font-weight: bold;
+}
+
+#thumbnails li a img {
+  border: 2px #707070 solid;
+}
+#thumbnails li a:hover img {
+  border: 2px #f0f0f0 solid;
+}
+#thumbnails li p {
+  margin: 0;
+}
+
+/* page content :  categories thumbnails */
+
+.illustration a img {
+  border: 1px #606060 solid;
+}
+
+.illustration a:hover img {
+  border: 1px #f0f0f0 solid;
+}
+
+p.thumbCatDesc {
+  border-top: 1px #606060 dotted;
+  text-align: justify;
+}
+
+/* inputs */
+
+input[type="text"], input[type="password"], select, textarea, file {
+ background:#f0f0f0;
+ color: #333;
+ border: 1px solid;
+ margin: 0;
+}
+
+fieldset {
+  border: 1px #606060 dotted;
+  margin: 0 0 1em;
+  padding: 1em;
+}
+
+fieldset legend {
+  background-color: #333;
+  padding: 0 3px;
+}
+
+/* picture page */
+
+.imageNumber {
+  border: 1px #999 solid;
+}
+
+#theImage {
+padding:0
+}
+#theImage img {
+  border: 8px #fff solid;
+}
+#theImage p {
+  margin: 1em;
+  display:block;
+}
+#thePicturePage h1 {display:none}
+
+#navThumbPrev a img, #navThumbNext a img {
+  border: 2px #606060 solid;
+}
+#navThumbPrev a:hover img, #navThumbNext a:hover img {
+  border: 2px #f0f0f0 solid;
+}
+/*for screen  in 1024*768  and max width = 700*/
+#imageInfoBar {
+  width: 17%;
+}
+
+/* Chrome  */
+#theImage {
+  margin:auto
+}
+
+
+
+.commentList .author, .commentList .date {
+  font-weight: bold;
+}
+
+/* tags */
+
+#fullTagCloud span a:hover {
+  background: #606060;
+}
+
+#menuTagCloud span {
+  margin: 0;
+}
+
+.nbEntries {
+  text-align: right;
+}
+
+.tagaddbutton {
+}
+
+.mandatorystar {
+  color: #e04040;
+}
+
+/* help */
+
+.errors div {
+  background: #FFB0B0;
+  border: 4px solid #A04040;
+  color: #A04040;
+}
+.errors div a {
+  color: #FF0000;
+  font-weight: bold;
+}
+
+.infos div {
+  background: #B0FFB0;
+  border: 4px solid #40A040;
+  color: #40A040;
+}
+.infos div a {
+  color: #00FF00;
+  font-weight: bold;
+}
+
+.errors ul, .infos ul {
+  text-align: justify;
+}
+
+
+/* pwg stuff   */
+.right_block {
+  float: right;
+}
+
+.left_block {
+  float: left;
+}
+#stuffs_block_1, #stuffs_block_2, #stuffs_block_3{
+margin:.3em 0 0 .3em;
+padding:.5em;
+height:150px;
+overflow:hidden;}
+ 
+
+#stuffs_block_4{
+padding:.5em;
+}
+#stuffs_block_2  ul {
+margin:0;
+padding:0;
+} 
+
+.content .stuffs_block .titrePage {
+margin:.5em 0; 
+font-size:88%;
+}
+.content .stuffs_block {
+border-color:#606060;
+border-style:solid;
+border-width:2px 0;
+background-color:#222;
+} 
+
+
+
+#comments ul.thumbnailCategories  .actions li {
+  margin: .8em;
+  width: 28px;
+}
+ */
+ 
Index: /extensions/simple_themes/simple-sunset/themeconf.inc.php
===================================================================
--- /extensions/simple_themes/simple-sunset/themeconf.inc.php	(revision 10779)
+++ /extensions/simple_themes/simple-sunset/themeconf.inc.php	(revision 10779)
@@ -0,0 +1,31 @@
+<?php
+/*
+Theme Name: Simple Sunset
+Version: 2.1.a
+Description: Theme sunset for Simple
+Theme URI: http://fr.piwigo.org/ext/extension_view.php?eid=289
+Author:   EX-FTB
+Author URI: http://www.photos.bouteyron.fr
+*/
+$themeconf = array(
+  'name'  => 'Simple-sunset',
+  'parent' => 'simple',
+  'local_head'    => 'local_head.tpl');
+ global $user,$conf;
+$user['maxwidth'] = 700;
+$user['maxheight'] = 500;
+$conf['LLGBO_SETTINGS'] [5]  = 'false'; // no  title on frame
+$conf['LLGBO_TOOLTIP'][3] = '#222'; // tooltip background
+$conf['LLGBO_TOOLTIP'][5] = '#666666'; // tooltip color
+// no  menu calendar
+add_event_handler('blockmanager_apply', 'blockmanager_unset');
+function blockmanager_unset ( $menu_ref_arr )
+  { global $user,$page;;
+    $menu = & $menu_ref_arr[0];
+if ( ($block = $menu->get_block('mbSpecials')) != null )
+	{unset( $block->data['calendar'] );}
+}
+// llgbo frame with only 7 lines
+for ($x = 15  ;$x < 33  ; $x++)
+ {unset ($conf['LLGBO_FRAME'][$x]);}
+?>