Index: /extensions/gally/gally-cuise/conf/default.conf
===================================================================
--- /extensions/gally/gally-cuise/conf/default.conf	(revision 10779)
+++ /extensions/gally/gally-cuise/conf/default.conf	(revision 10780)
@@ -214,5 +214,5 @@
 # The 'menuWidth' option can also take any positive integer value wich define a
 # fixed width in pixels
-menuWidth = "auto"
+menuWidth = "190"
 
 # The 'menuMaxWidth' option is used when the 'menuWidth' option is set to "auto"
@@ -225,5 +225,5 @@
 # 'menuMSIEMaxWidth' option you can force a maximum width only for this browser
 # This option is not used when the 'menuAnimated' option is set to "noswitch"
-menuMaxWidth = 0
+menuMaxWidth = 190
 menuMSIEMaxWidth = 190
 
Index: /extensions/gally/gally-cuise/css/theme.css
===================================================================
--- /extensions/gally/gally-cuise/css/theme.css	(revision 10779)
+++ /extensions/gally/gally-cuise/css/theme.css	(revision 10780)
@@ -1294,3 +1294,5 @@
 
 }
- 
+#theImg{
+ height:600 ;
+}
Index: /extensions/gally/gally-cuise/template/head_1.tpl
===================================================================
--- /extensions/gally/gally-cuise/template/head_1.tpl	(revision 10780)
+++ /extensions/gally/gally-cuise/template/head_1.tpl	(revision 10780)
@@ -0,0 +1,161 @@
+
+
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<!-- **GBL** >HEADER> -->
+<html lang="{$lang_info.code}" dir="{$lang_info.direction}">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
+  <meta name="generator" content="Piwigo (aka PWG), see piwigo.org">
+
+  {if isset($meta_ref) }
+    {if isset($INFO_AUTHOR)}
+      <meta name="author" content="{$INFO_AUTHOR|@replace:'"':' '}">
+    {/if}
+    {if isset($related_tags)}
+      <meta name="keywords" content="{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}{$tag.name}{/foreach}">
+    {/if}
+    {if isset($COMMENT_IMG)}
+      <meta name="description" content="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+    {else}
+      <meta name="description" content="{$PAGE_TITLE}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+    {/if}
+  {/if}
+
+  {if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('home'))}
+    <title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>
+  {else}
+    <title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>
+  {/if}
+  <!-- <link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}template-common/favicon.ico"> -->
+
+  <link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
+  <link rel="search" title="{'Search'|@translate}" href="{$ROOT_URL}search.php" >
+
+  {if isset($first.U_IMG)   }<link rel="first" title="{'First'|@translate}" href="{$first.U_IMG}" >{/if}
+  {if isset($previous.U_IMG)}<link rel="prev" title="{'Previous'|@translate}" href="{$previous.U_IMG}" >{/if}
+  {if isset($next.U_IMG)    }<link rel="next" title="{'Next'|@translate}" href="{$next.U_IMG}" >{/if}
+  {if isset($last.U_IMG)    }<link rel="last" title="{'Last'|@translate}" href="{$last.U_IMG}" >{/if}
+  {if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}
+
+  {if isset($U_PREFETCH)}<link rel="prefetch" href="{$U_PREFETCH}">{/if}
+
+  {if not empty($page_refresh)}<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}
+  <script type="text/javascript" src="{$ROOT_URL}themes/default/js/scripts.js"></script>
+
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/content.css">
+
+
+
+ 
+
+  {php}
+    $themes=$this->get_template_vars('themes');
+    foreach($themes as $theme)
+    {
+      $dir=dirname($_SERVER['SCRIPT_FILENAME'])."/themes/".$theme['id']."/conf/";
+      $dirlocal=dirname($_SERVER['SCRIPT_FILENAME'])."/local/themes/".$theme['id']."/conf/";
+      $this->assign("default_conf", $dir."default.conf");
+      if(file_exists($dirlocal."local.conf"))
+      {
+        $this->assign("local_conf", $dirlocal."local.conf");
+      }
+      else
+      {
+        $this->assign("local_conf", "");
+      }
+    }
+  {/php}
+
+  {config_load file=$default_conf}
+  {if $local_conf!=""}
+    {config_load file=$local_conf}
+  {/if}
+
+  {php}
+      $this->assign("alternateBannerContent", html_entity_decode($this->get_config_vars('alternateBannerContent')));
+  {/php}
+
+  {include file='config.js.tpl'}
+
+    {known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
+    {known_script id="jquery.ui" src=$ROOT_URL|cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+    {known_script id="jquery.ui.tabs" src=$ROOT_URL|cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
+    {known_script id="jquery.ui.dialog" src=$ROOT_URL|cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
+  {if #manageTips#=='yes'} 
+    {known_script id="gpc.simpleTip" src=$ROOT_URL|@cat:"themes/gally-default/js/simpleTip.packed.js"} 
+    {known_script id="gallyjs-ttm" src=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-ttm.packed.js"}
+  {/if} 
+  {if $BODY_ID=='theCategoryPage'} 
+    {known_script id="gallyjs-tcp" src=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-tcp.packed.js"} 
+  {/if} 
+  {if $BODY_ID=='thePicturePage'} 
+    {known_script id="gallyjs-tpp" src=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-tpp.packed.js"}  
+  {/if} 
+  
+  {if $BODY_ID=='theCategoryPage'} 
+
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/thumbnails.css">
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/menubar.css">
+  {/if}
+
+  {if $BODY_ID=='thePicturePage'} 
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/picture.css">
+  {/if}
+
+  {if $BODY_ID=='theProfilePage' or $BODY_ID=='theRegisterPage' or $BODY_ID=='theIdentificationPage'
+    or $BODY_ID=='thePasswordPage' or $BODY_ID=='theTagsPage' or $BODY_ID=='theSearchPage'
+    or $BODY_ID=='theCommentsPage' or $BODY_ID=='theAboutPage' or $BODY_ID=='theNotificationPage'
+    or $BODY_ID=='thePopuphelpPage' or $BODY_ID=='theUploadPage'}
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/generic.css">
+  {/if}
+
+  {foreach from=$themes item=theme}
+    <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$theme.id}/css/theme.css">
+    {if isset($theme.local_head)}{include file=$theme.local_head}{/if}
+  {/foreach}
+
+{if not empty($head_elements)}
+  {foreach from=$head_elements item=elt}{$elt}
+  {/foreach}
+{/if} 
+
+</head>
+
+<body id="{$BODY_ID}">
+<div id="the_page">
+
+{if not empty($header_msgs)}
+<div class="header_msgs">
+  {foreach from=$header_msgs item=elt}
+  <p>{$elt}</p>
+  {/foreach}
+</div>
+{/if}
+
+
+{if ($BODY_ID=='thePicturePage' and #displayBanner# == "yes") or $BODY_ID!='thePicturePage'}
+<div id="theHeader">
+  {$PAGE_BANNER}
+</div>
+<div id="theHeaderAlt" style="display:none;"></div>
+{elseif $BODY_ID=='thePicturePage' and #displayBanner# == "alternate"}
+<div id="theHeader" style="display:none;"></div>
+<div id="theHeaderAlt">
+  {$alternateBannerContent}
+</div>
+{else}
+<div id="theHeader" style="display:none;"></div>
+<div id="theHeaderAlt" style="display:none;"></div>
+{/if}
+
+
+{if isset($theSwiftHeader)}{$theSwiftHeader}{/if}
+{if not empty($header_notes)}
+<div class="header_notes">
+  {foreach from=$header_notes item=elt}
+  <p>{$elt}</p>
+    {/foreach}
+</div>
+{/if}
+
+<!-- **GBL** <HEADER< -->
Index: /extensions/gally/gally-cuise/template/head_2.tpl
===================================================================
--- /extensions/gally/gally-cuise/template/head_2.tpl	(revision 10780)
+++ /extensions/gally/gally-cuise/template/head_2.tpl	(revision 10780)
@@ -0,0 +1,165 @@
+  {get_combined_scripts load='header'}  
+  { combine_script id='jquery' path=$ROOT_URL|cat:"themes/default/js/jquery.min.js" }
+   {get_combined_scripts load='footer'} 
+{combine_script id="jquery.ui.tabs" path=$ROOT_URL|cat:"themes/default/js/ui/minified/jquery.ui.tabs.min.js" require="jquery"} 
+{combine_script id="jquery.ui.dialog" path=$ROOT_URL|cat:"themes/default/js/ui/minified/jquery.ui.dialog.min.js" require="jquery"} 
+
+{if #manageTips#=='yes'}  
+{combine_script id="gpc.simpleTip" path=$ROOT_URL|@cat:"themes/gally_default/js/simpleTip.js" require="jquery"} 
+{combine_script id="gallyjs-ttm" path=$ROOT_URL|cat:"themes/gally_default/js/gallyjs-ttm.js" require="jquery"} 
+
+  {/if} 
+  {if $BODY_ID=='theCategoryPage'} 
+    {combine_script id="gallyjs-tcp" path=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-tcp.js" require="jquery"} 
+  {/if}
+  {if $BODY_ID=='thePicturePage'} 
+    {combine_script id="gallyjs-tpp" path=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-tpp.js" require="jquery"}   
+  {/if} 
+ 
+<!-- END get_combined_scripts -->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<!-- **GBL** >HEADER> -->
+<html lang="{$lang_info.code}" dir="{$lang_info.direction}">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
+  <meta name="generator" content="Piwigo (aka PWG), see piwigo.org">
+
+  {if isset($meta_ref) }
+    {if isset($INFO_AUTHOR)}
+      <meta name="author" content="{$INFO_AUTHOR|@replace:'"':' '}">
+    {/if}
+    {if isset($related_tags)}
+      <meta name="keywords" content="{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}{$tag.name}{/foreach}">
+    {/if}
+    {if isset($COMMENT_IMG)}
+      <meta name="description" content="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+    {else}
+      <meta name="description" content="{$PAGE_TITLE}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+    {/if}
+  {/if}
+
+  {if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('home'))}
+    <title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>
+  {else}
+    <title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>
+  {/if}
+  <!-- <link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}template-common/favicon.ico"> -->
+
+  <link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
+  <link rel="search" title="{'Search'|@translate}" href="{$ROOT_URL}search.php" >
+
+  {if isset($first.U_IMG)   }<link rel="first" title="{'First'|@translate}" href="{$first.U_IMG}" >{/if}
+  {if isset($previous.U_IMG)}<link rel="prev" title="{'Previous'|@translate}" href="{$previous.U_IMG}" >{/if}
+  {if isset($next.U_IMG)    }<link rel="next" title="{'Next'|@translate}" href="{$next.U_IMG}" >{/if}
+  {if isset($last.U_IMG)    }<link rel="last" title="{'Last'|@translate}" href="{$last.U_IMG}" >{/if}
+  {if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}
+
+  {if isset($U_PREFETCH)}<link rel="prefetch" href="{$U_PREFETCH}">{/if}
+
+  {if not empty($page_refresh)}<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}
+  <script type="text/javascript" src="{$ROOT_URL}themes/default/js/scripts.js"></script>
+
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/content.css">
+
+
+
+ 
+
+  {php}
+    $themes=$this->get_template_vars('themes');
+    foreach($themes as $theme)
+    {
+      $dir=dirname($_SERVER['SCRIPT_FILENAME'])."/themes/".$theme['id']."/conf/";
+      $dirlocal=dirname($_SERVER['SCRIPT_FILENAME'])."/local/themes/".$theme['id']."/conf/";
+      $this->assign("default_conf", $dir."default.conf");
+      if(file_exists($dirlocal."local.conf"))
+      {
+        $this->assign("local_conf", $dirlocal."local.conf");
+      }
+      else
+      {
+        $this->assign("local_conf", "");
+      }
+    }
+  {/php}
+
+  {config_load file=$default_conf}
+  {if $local_conf!=""}
+    {config_load file=$local_conf}
+  {/if}
+
+  {php}
+      $this->assign("alternateBannerContent", html_entity_decode($this->get_config_vars('alternateBannerContent')));
+  {/php}
+
+  {include file='config.js.tpl'}
+
+
+  
+  {if $BODY_ID=='theCategoryPage'} 
+
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/thumbnails.css">
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/menubar.css">
+  {/if}
+
+  {if $BODY_ID=='thePicturePage'} 
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/picture.css">
+  {/if}
+
+  {if $BODY_ID=='theProfilePage' or $BODY_ID=='theRegisterPage' or $BODY_ID=='theIdentificationPage'
+    or $BODY_ID=='thePasswordPage' or $BODY_ID=='theTagsPage' or $BODY_ID=='theSearchPage'
+    or $BODY_ID=='theCommentsPage' or $BODY_ID=='theAboutPage' or $BODY_ID=='theNotificationPage'
+    or $BODY_ID=='thePopuphelpPage' or $BODY_ID=='theUploadPage'}
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/generic.css">
+  {/if}
+
+  {foreach from=$themes item=theme}
+    <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$theme.id}/css/theme.css">
+    {if isset($theme.local_head)}{include file=$theme.local_head}{/if}
+  {/foreach}
+
+{if not empty($head_elements)}
+  {foreach from=$head_elements item=elt}{$elt}
+  {/foreach}
+{/if} 
+
+</head>
+
+<body id="{$BODY_ID}">
+<div id="the_page">
+
+{if not empty($header_msgs)}
+<div class="header_msgs">
+  {foreach from=$header_msgs item=elt}
+  <p>{$elt}</p>
+  {/foreach}
+</div>
+{/if}
+
+
+{if ($BODY_ID=='thePicturePage' and #displayBanner# == "yes") or $BODY_ID!='thePicturePage'}
+<div id="theHeader">
+  {$PAGE_BANNER}
+</div>
+<div id="theHeaderAlt" style="display:none;"></div>
+{elseif $BODY_ID=='thePicturePage' and #displayBanner# == "alternate"}
+<div id="theHeader" style="display:none;"></div>
+<div id="theHeaderAlt">
+  {$alternateBannerContent}
+</div>
+{else}
+<div id="theHeader" style="display:none;"></div>
+<div id="theHeaderAlt" style="display:none;"></div>
+{/if}
+
+
+{if isset($theSwiftHeader)}{$theSwiftHeader}{/if}
+{if not empty($header_notes)}
+<div class="header_notes">
+  {foreach from=$header_notes item=elt}
+  <p>{$elt}</p>
+    {/foreach}
+</div>
+{/if}
+
+<!-- **GBL** <HEADER< -->
Index: /extensions/gally/gally-cuise/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-cuise/themeconf.inc.php	(revision 10779)
+++ /extensions/gally/gally-cuise/themeconf.inc.php	(revision 10780)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Cuise
-Version: 2.0.2
+Version: auto
 Description: Cuise theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=398
@@ -9,5 +9,7 @@
 */
 
-$themeconf = array(
+ if ( PHPWG_VERSION < "2.2.0" ) 
+ {
+  $themeconf = array(
    'name' => 'gally-cuise',
   'theme' => 'gally-cuise',
@@ -15,5 +17,17 @@
   'icon_dir' => 'themes/gally-cuise/icon',
   'mime_icon_dir' => 'themes/gally-cuise/icon/mimetypes/',
-   
+ 'local_head' => realpath('head_1.tpl') 
+);              
+      }  else {
+ $themeconf = array(
+   'name' => 'gally-cuise',
+  'theme' => 'gally-cuise',
+  'parent' => 'gally-default',
+  'icon_dir' => 'themes/gally-cuise/icon',
+  'mime_icon_dir' => 'themes/gally-cuise/icon/mimetypes/',
+   'local_head' => realpath('head_2.tpl') 
+
 );
+}
+
 ?>